OpenVDB 7.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
FillLeafNodeVoxels< TreeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
using | ValueType = typename TreeType::ValueType
using | LeafNodeType = typename TreeType::LeafNodeType
using | NodeMaskType = typename LeafNodeType::NodeMaskType
using | BoolLeafNodeType = tree::LeafNode< bool, LeafNodeType::LOG2DIM >

## Public Member Functions
| FillLeafNodeVoxels (const TreeType &tree, std::vector< BoolLeafNodeType * > &maskNodes)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
const TreeType *const | mTree
BoolLeafNodeType **const | mMaskNodes

## Member Typedef Documentation

## ◆ BoolLeafNodeType

using BoolLeafNodeType = tree::LeafNode<bool, LeafNodeType::LOG2DIM>

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## ◆ NodeMaskType

using NodeMaskType = typename LeafNodeType::NodeMaskType

## ◆ ValueType

using ValueType = typename TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ FillLeafNodeVoxels()

FillLeafNodeVoxels | ( | const TreeType & | tree,
|  | std::vector< BoolLeafNodeType * > & | maskNodes
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mMaskNodes

BoolLeafNodeType** const mMaskNodes

## ◆ mTree

const TreeType* const mTree

The documentation for this struct was generated from the following file:

- LevelSetUtil.h